#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EUniverse {
    Invalid = 0,
    Public = 1,
    Beta = 2,
    Internal = 3,
    Dev = 4,
}

impl EUniverse {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Invalid as i32 => Some(Self::Invalid),
            x if x == Self::Public as i32 => Some(Self::Public),
            x if x == Self::Beta as i32 => Some(Self::Beta),
            x if x == Self::Internal as i32 => Some(Self::Internal),
            x if x == Self::Dev as i32 => Some(Self::Dev),
            _ => None,
        }
    }
}
